package com.ynet.life.base;

import com.ynet.gene.core.GENEConstance;
import com.ynet.gene.log.GENELog;
import com.ynet.gene.timerecorder.GENETimerRecorder;
import com.ynet.gene.web.servlet.view.AbstractView;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_base.jar:com/ynet/life/base/JSPView.class */
public class JSPView extends AbstractView {
    private String url;

    public void setUrl(String value) {
        this.url = value;
    }

    public String getUrl() {
        return this.url;
    }

    public void render(Map model, HttpServletRequest request, HttpServletResponse response, String jspRootPath) {
        long begin = System.currentTimeMillis();
        try {
            try {
                String path = this.url;
                if (!this.url.startsWith("/")) {
                    path = String.valueOf(jspRootPath) + this.url;
                }
                setModelToRequest(model, request);
                request.getRequestDispatcher(path).forward(request, response);
            } catch (Exception e) {
                GENELog.log(GENEConstance.GENE_MVC, GENELog.ERROR, 0, "Failed to render to " + this.url, e);
                GENETimerRecorder.addThreadValue("JSP", System.currentTimeMillis() - begin);
            }
        } finally {
            GENETimerRecorder.addThreadValue("JSP", System.currentTimeMillis() - begin);
        }
    }

    public String toString() {
        return "<jspView url=\"" + this.url + "\"/>";
    }
}
